<?php

/////////////////////////////////////////////////////////////////////////////////////////////////////////
require_once('idn/idna_convert.class.php');
/////////////////////////////////////////////////////////////////////////////////////////////////////////

function idn_convert($domain)
{
	$IDN = new idna_convert();
	return $IDN->encode($domain); 
}

/////////////////////////////////////////////////////////////////////////////////////////////////////////

function idn_reconvert($ascii_domain)
{
	$IDN = new idna_convert();
	return $IDN->decode($domain); 
}

/////////////////////////////////////////////////////////////////////////////////////////////////////////

function idn_convert_to_host_name($domain, $subdomain)
{
	$ascii_domain    = idn_convert($domain);
	$ascii_subdomain = idn_convert($subdomain);
	return ($subdomain == "" ? "" : ($ascii_subdomain . ".")) . $ascii_domain; 
}

/////////////////////////////////////////////////////////////////////////////////////////////////////////

?>
