<?php
/////////////////////////////////////////////////////////////////////////////////////////////////////////
// Copyright 2010-2011 Softnik Technologies
// Version 0.1.11 2011-01-15
/////////////////////////////////////////////////////////////////////////////////////////////////////////

require_once("idn.php");
require_once("dns.php");
require_once("whois.php");
require_once("http.php");
require_once("googlepr.php");
require_once("alexa.php");
require_once("mx.php");
require_once("ssl.php");

///////////////////////////////////////////////////////////////////////////////////////////////////
// Do Lookup
// Find the next lookup candidate entry in queue 
// Mark it's status as "in progress" and set last_updated time.
// Finish the lookup and set it's status as completed or failed. 
// Set last_updated time.

function process_lookup_queue($max_count)
{
	global $db_config_lookup_queue_table, $db_config_domain_table;
	
	$sql = "select * from " . $db_config_lookup_queue_table . " order by created_on asc";
	$result = mysql_query( $sql ) or die("Couldn't execute your query.".mysql_error());
	
	$data_array = array();
	$count = 0;
	while($row = mysql_fetch_array($result,MYSQL_ASSOC))
	{
		$sid           = $row['sid'];
		$lookup_type   = $row['type'];
		$lookup_status = $row['status'];
		$domain_name   = get_domain_name_from_sid($sid);
		if($lookup_status == LUQSTAT_WAITING)
		{
			switch($lookup_type)
			{
				case LOOKUP_DOMAIN_WHOIS:
					do_domain_whois($domain_name);
					break;
				case LOOKUP_IP_ADDRESS:
					do_ip_lookup($domain_name);
					break;
				case LOOKUP_HTTP_HOMEPAGE:
					get_and_parse_homepage($domain_name);
					break;
				case LOOKUP_ALEXA_DATA:
					get_alexa_records($domain_name);
					break;
				case LOOKUP_MX_RECORDS:
					get_mx_records($domain_name);
					break;
				case LOOKUP_PING_RESPONSE:
					get_ping_response($domain_name);
					break;
				case LOOKUP_YAHOO_LINKS:
					break;
				case LOOKUP_GOOGLE_LINKS:
					break;
				case LOOKUP_GOOGLE_PR:
					get_google_pr($domain_name);
					break;
				case LOOKUP_SSL_CERTS:
					get_all_ssl_records($domain_name);
					break;
				case LOOKUP_IP_WHOIS:
					do_ip_whois($domain_name);
					break;
			}
			$dsql = "Delete FROM $db_config_lookup_queue_table WHERE sid=$sid AND type='$lookup_type'";  
			$dresult = mysql_query($dsql) or die("Couldn't execute your query.".mysql_error());		
		}
		$count++;
		if($count == $max_count)
			break;
	}
}

///////////////////////////////////////////////////////////////////////////////////////////////////

?>
