<?php
	
require_once("lib/php/config.check.php");
require_once("config.php");

/////////////////////////////////////////////////////////////////////////////////////////////////////////

function get_base_dir()
{
	return realpath(dirname(__FILE__)) . DIRECTORY_SEPARATOR;
}

/////////////////////////////////////////////////////////////////////////////////////////////////////////
	
	global $ui_theme;
	$jqtheme = $ui_theme;
	$title = "";
	if($title == "")
		$title = "Domain Portfolio Manager - Whois Setup";
	$panesjs = "cfgpanes.js";
	if(!file_exists(get_base_dir() . "lib/php/datagrid.php"))
		$panesjs = "cfgpanes.std.js";

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
		<title><?php echo $title; ?></title>
		<meta http-equiv="Content-Language" content="en">
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		
		<link type="text/css" href="lib/css/jqueryui/<?php echo $jqtheme; ?>/jquery-ui-1.8.7.custom.css" rel="stylesheet">
		<link type="text/css" href="lib/css/jqueryui/<?php echo $jqtheme; ?>/splitter.1.51.css" rel="stylesheet" media="screen">
		<link type="text/css" href="lib/css/jqueryui/splitter.1.51.css" rel="stylesheet" media="screen">
		<link type="text/css" href="lib/css/jqueryui/ui.jqgrid.css" rel="stylesheet" media="screen">

		<script type="text/javascript" src="lib/js/jquery/jquery-1.5.1.min.js"></script>
		<script type="text/javascript" src="lib/js/jquery/jquery.cookie.min.js"></script>
		<script type="text/javascript" src="lib/js/jquery/jquery-ui-1.8.7.noeffects.min.js"></script>
		<script type="text/javascript" src="lib/js/jquery/splitter.1.51.min.js"></script>
		<script type="text/javascript" src="lib/js/jquery/i18n/grid.locale-en.js"></script>
		<script type="text/javascript" src="lib/js/jquery/jquery.jqGrid.3.8.2.min.js"></script>
		
		<link type="text/css" href="lib/css/default.css" rel="stylesheet" media="all">
		<link type="text/css" href="lib/css/<?php echo $jqtheme; ?>.css" rel="stylesheet" media="all">
		<script type="text/javascript" src="lib/js/<?php echo $panesjs; ?>"></script>
		<script type="text/javascript" src="lib/js/tldgrid.js"></script>
		<script type="text/javascript" src="lib/js/buttons.js"></script>
		<script type="text/javascript" src="lib/js/add.js"></script>
</head>

<body>
		<div id="header">
		<div class="mainlogo">&nbsp;</div>
		<div class="navbar">
				<button id="pfolio"></button>
				&nbsp;&nbsp;
				&nbsp;&nbsp;
				<button id="home"></button>
				<button id="products"></button>
				<button id="support"></button>
				<button id="contact"></button>
		</div>
		<div class="clear">&nbsp;</div>
	</div>

	<div id="ConfigVSplitter">
		<div id="ControlPane">
			<div class="Padded10">
				<table id="DomainTLDTable"></table>
				<div id="pagerDomainTLDView"></div>
			</div>
		</div> <!-- #ControlPane -->
	  
		<div id="RightPane" style="overflow: auto;">
			<div id="ConfigPane">
				<div class="Padded10">
					<div id="WhoisSetupTabView">
						<ul>
							<li><a href="#whoissetup">Whois Server Config</a></li>
						</ul>
							
						<div id="whoissetup">
						
							<div id="formhead"><h3>Whois Server</h3></div>
							
							<div id="tldform">
								<p>
								<label for "whois_server_ui">Whois Server</label>
								<input type="text" name="server" size="32" value="" id="whois_server_ui">
								<input type="submit" value="Set" id="whois_server_ui_submit">
								</p>
								
								<p>
								<label for "port_ui">Port</label>
								<input type="text" name="server" size="12" value="" id="port_ui">
								</p>
								
								<p>
								<label for "query_string_ui">Query String</label>
								<input type="text" name="server" size="32" value="" id="query_string_ui">
								</p>
								
								<p>
								<label for "search_token_ui">Search Token</label>
								<input type="text" name="server" size="32" value="" id="search_token_ui">
								</p>
								
								<p>
								<label for "date_format_ui">Date Format</label>
								<select id="date_format_ui">
									<option value="auto">auto</option>
									<option value="ddmm">ddmm</option>
									<option value="mmdd">mmdd</option>
									<option value="ddyy">ddyy</option>
									<option value="yydd">yydd</option>
									<option value="yymmdd">yymmdd</option>
									<option value="ddmmyy">ddmmyy</option>
								</select>
								</p>
								
								<!--
								<p>
								<label for "max_connesctions_ui">Max Connections</label>
								<input type="text" name="server" size="12" value="" id="max_connesctions_ui">
								</p>
								
								<p>
								<label for "connection_interval_ui">Connection Interval</label>
								<input type="text" name="server" size="12" value="" id="connection_interval_ui">
								</p>
								-->
								
								<p>
								<label for "xlate_array_ui">Extraction Tokens</label>
								<textarea rows="15" cols="45" id="xlate_array_ui"></textarea>
								</p>
								
								<p>
								<label for "ui_whois_server_data_submit">&nbsp;</label>
								<input type="submit" value="Submit Changes" id="ui_whois_server_data_submit">
								</p>
								
								<p>
								<label>&nbsp;</label>
								<div id="whois_server_mismatch"></div>
								</p>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div> <!-- #RightPane -->
	</div> <!-- #ConfigVSplitter -->
	
</body>
</html>
<?php
?>
